package com.zh.project0512.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zh.project0512.model.User;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.time.LocalDateTime;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-05-18
 */
public interface UserMapper extends BaseMapper<User> {
    @Select("SELECT * FROM user where openid=#{openid} ")
    User selByOpenid(@Param("openid") String openid);
    @Select("UPDATE user set token=#{token},lastLoginAt=#{time} where openid=#{openid}")
    void updByOpenid(String openid, String token, LocalDateTime time);
}
