package com.zh.project0512.serviceImpl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.project0512.model.CustomerActionNote;
import com.zh.project0512.mapper.CustomerActionNoteMapper;
import com.zh.project0512.model.Reference;
import com.zh.project0512.service.ICustomerActionNoteService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-05-30
 */
@Service
public class CustomerActionNoteServiceImpl extends ServiceImpl<CustomerActionNoteMapper, CustomerActionNote> implements ICustomerActionNoteService {
    @Autowired
    private CustomerActionNoteMapper customerActionNoteMapper;
    public IPage<Map> pageList(IPage page,String openid, @Param("ew") Wrapper<CustomerActionNote> queryWrapper){
        return customerActionNoteMapper.pageList(page,openid,queryWrapper);
    }
}
