package com.zh.project0512.serviceImpl;

import com.zh.project0512.mapper.UserMapper;
import com.zh.project0512.model.User;
import com.zh.project0512.service.IUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-05-18
 */
@Service
public class UserServiceImpl extends ServiceImpl<UserMapper, User> implements IUserService {
    @Autowired
    private UserMapper userMapper;

    public User selByOpenid(String openid) {
        return userMapper.selByOpenid(openid);
    }

    public void updByOpenid(String openid, String token, LocalDateTime time) {
        userMapper.updByOpenid(openid, token, time);
    }
}
