package com.zh.project0512.serviceImpl;

import com.zh.project0512.model.ReferenceTag;
import com.zh.project0512.mapper.ReferenceTagMapper;
import com.zh.project0512.service.IReferenceTagService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-05-25
 */
@Service
public class ReferenceTagServiceImpl extends ServiceImpl<ReferenceTagMapper, ReferenceTag> implements IReferenceTagService {
    @Autowired
    private ReferenceTagMapper referenceTagMapper;
    public void addGroup(List list, int id){
        referenceTagMapper.addGroup(list,id);
    }
    public List<Map> selByReferenceId(int id){
        return referenceTagMapper.selByReferenceId(id);
    }
}
